/* ipv6_tools.h -  misc. tools for handling IPv6 addresses, interfaces, ... */

/* Written 1998-1999 by Mohsen.Souissi@inria.fr, INRIA */


#ifndef _IPV6TOOLS_H
#define _IPV6TOOLS_H

#define IN6_ADDR_LEN 	16

int get_my_ipv6(struct in6_addr *my_ia6, int itf);
int set_my_cmi(u_int16_t cmi, int itf);

int in6_addr_cmp(struct in6_addr *a, struct in6_addr *b);
int is_multicast_pair(struct in6_addr *min, struct in6_addr *max);
int increment_addr(struct in6_addr *a, struct in6_addr *b);
int decrement_addr(struct in6_addr *a, struct in6_addr *b);
int is_just_before(struct in6_addr *a, struct in6_addr *b);


#endif
