/* misc_tools.c -  miscellaneous tools */

/* Written 1999 by Mohsen.Souissi@inria.fr, INRIA */

#include <string.h>
#include <ctype.h>

#include "misc_tools.h"


int str2num(const char *str)
{
  int i, len, num;
  
  if (str == NULL)
    return(-1);
  len = strlen(str);
  num = 0;
  for (i = 0; i < len; i++) {
    if ((isdigit(str[i])) == 0) {
      return(-1);
    }
  else 
    num = 10*num + (str[i] - '0');
  }
  return(num);
}
