/* iponatm.h - ip/atm traffic and route management */
 
/* Written 1998-1999 by Mohsen.Souissi@inria.fr, INRIA */
 
#ifndef IPONATM_H
#define IPONATM_H

typedef struct {
  u_int8_t type;
  u_long vcc;
  u_int8_t raesa[ATM_ESA_LEN];	/* remote AESA */
  char rname[NAME_LEN];		/* remote name */
  u_int16_t ep_ref;
  CONN_CONF conf;
} PIPE_MSG;

extern const char *AddrConf;

int ipoveratm(int opcode, u_long vcc, int dump);
int recv_natm_peer(ATMCALL *call, int dump);


#endif

